Bug 1445157 - [Docs][Upgrade][Install] Add section for 3.6 RHVH into 3.5 to 3.6 upgrade and installation procedures
Summary: [Docs][Upgrade][Install] Add section for 3.6 RHVH into 3.5 to 3.6 upgrade and...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.10
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-3.6.11
: ---
Assignee: Byron Gravenorst
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 1445161
Blocks: 1462674
TreeView+ depends on / blocked
 
Reported: 2017-04-25 07:08 UTC by Jiri Belka
Modified: 2019-05-07 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-10 06:13:40 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1445161 0 urgent CLOSED [Docs][Install] Provide installation instructions for newly-available 3.6 RHVH 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1462800 0 urgent CLOSED [Docs][Upgrade] Mention need to update channels when upgrading from 3.6 RHVH to 4.x RHVH 2021-02-22 00:41:40 UTC

Internal Links: 1445161 1462800

Description Jiri Belka 2017-04-25 07:08:47 UTC
Description of problem:

we probably need extension of below documentation url for cases where customer uses and still wants to use hypervisor node (ie. non plain EL with vdsm etc... rpm).

See description of the "problem" why 3.6 NGN was introduced at https://bugzilla.redhat.com/show_bug.cgi?id=1421098

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Upgrade_Guide/Upgrading_Hosts_in_a_Red_Hat_Enterprise_Linux_6_Cluster_to_Red_Hat_Enterprise_Linux_7.html

not sure if that should be a section or new page, anyway we need to tell that they can upgrade not only to EL7 but to 3.6 NGN (redhat-virtualization-host).

thus IMO there should be a section about 3.6 NGN (redhat-virtualization-host) also in installation guide as this is totally new thing in 3.6.

an example of wording in case on hypervisors:

"Note: Upgrading the cluster compatibility version of your cluster from 3.5 to 3.6 requires all Red Hat Enterprise Virtualization Hypervisor hosts in the cluster must be upgraded to Red Hat Virtualization Host for RHV 3.6 before the upgrade of the cluster compatibility version is possible. This upgrade means a switch to a new type of virtualization host, that is switching from legacy Red Hat Enterprise Virtualization Hypervisor (RHEV-H) to Red Hat Virtualization Host (RHVH)."

Please also note that there is still a bug in 3.6 host-deploy which causes vds_type for 3.6 ngn is incorrent. So maybe there should be a 'Note' section as well mentioning this as host upgrade manager can't upgrade 3.6 NGN inside 3.6 engine (ie. with host-deploy from 3.6 engine). See https://bugzilla.redhat.com/show_bug.cgi?id=1431226 and https://bugzilla.redhat.com/show_bug.cgi?id=1425660
This issue can be repaired only in 4.0 with 'Reinstall' button or via direct modification of the DB right now (a KB?).

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1. have 3.5 env with 3.5 rhevh (so called legacy hypervisor)
2. you want to try to upgrade to 3.6 including hosts but keep hosts not being
   plain EL but a kind of virtualization hosts
3. read docs for info

Actual results:
no info as 3.6 didn't know about 3.6 ngn

Expected results:
should be there

Additional info:

Comment 1 Yaniv Lavi 2017-04-25 07:25:59 UTC
I'm setting this one on urgent and requesting someone to rework this flow as soon as possible to include and recommended using the NGN for upgrades from 3.5 el6 to 3.6 el7 (note that this doesn't affect RHEL-H).

Comment 2 Lucy Bopf 2017-04-27 01:35:54 UTC
Yaniv, reading through this it appears there's still an open question about the workaround for the issue reported in https://bugzilla.redhat.com/show_bug.cgi?id=1431226.

"This issue can be repaired only in 4.0 with 'Reinstall' button or via direct modification of the DB right now (a KB?)."

Can you let us know which workaround we should document?

Comment 3 Lucy Bopf 2017-05-03 02:56:03 UTC
Assigning to Byron for review.

Byron, we're waiting on an answer about the workaround for the open issue mentioned, but you should be able to make a start on the other procedural updates. These updates must be made in the 3.6 documentation.

Comment 4 Yaniv Lavi 2017-05-14 13:53:27 UTC
(In reply to Lucy Bopf from comment #2)
> Yaniv, reading through this it appears there's still an open question about
> the workaround for the issue reported in
> https://bugzilla.redhat.com/show_bug.cgi?id=1431226.
> 
> "This issue can be repaired only in 4.0 with 'Reinstall' button or via
> direct modification of the DB right now (a KB?)."
> 
> Can you let us know which workaround we should document?

Reinstall option.

Comment 5 Yaniv Lavi 2017-06-04 14:32:00 UTC
(In reply to Yaniv Dary from comment #4)
> (In reply to Lucy Bopf from comment #2)
> > Yaniv, reading through this it appears there's still an open question about
> > the workaround for the issue reported in
> > https://bugzilla.redhat.com/show_bug.cgi?id=1431226.
> > 
> > "This issue can be repaired only in 4.0 with 'Reinstall' button or via
> > direct modification of the DB right now (a KB?)."
> > 
> > Can you let us know which workaround we should document?
> 
> Reinstall option.

Re-install is not needed. It was fixed in an async to latest 3.6.11.

Comment 6 Jiri Belka 2017-06-19 12:56:55 UTC
(In reply to Yaniv Lavi from comment #5)
> (In reply to Yaniv Dary from comment #4)
> > (In reply to Lucy Bopf from comment #2)
> > > Yaniv, reading through this it appears there's still an open question about
> > > the workaround for the issue reported in
> > > https://bugzilla.redhat.com/show_bug.cgi?id=1431226.
> > > 
> > > "This issue can be repaired only in 4.0 with 'Reinstall' button or via
> > > direct modification of the DB right now (a KB?)."
> > > 
> > > Can you let us know which workaround we should document?
> > 
> > Reinstall option.
> 
> Re-install is not needed. It was fixed in an async to latest 3.6.11.

^^^ "The fix" was in 4.1, see https://bugzilla.redhat.com/show_bug.cgi?id=1445297, or is there any other BZ for the fix you mentioned?

Comment 7 Jiri Belka 2017-06-20 07:22:56 UTC
(In reply to Jiri Belka from comment #6)
> (In reply to Yaniv Lavi from comment #5)
> > (In reply to Yaniv Dary from comment #4)
> > > (In reply to Lucy Bopf from comment #2)
> > > > Yaniv, reading through this it appears there's still an open question about
> > > > the workaround for the issue reported in
> > > > https://bugzilla.redhat.com/show_bug.cgi?id=1431226.
> > > > 
> > > > "This issue can be repaired only in 4.0 with 'Reinstall' button or via
> > > > direct modification of the DB right now (a KB?)."
> > > > 
> > > > Can you let us know which workaround we should document?
> > > 
> > > Reinstall option.
> > 
> > Re-install is not needed. It was fixed in an async to latest 3.6.11.
> 
> ^^^ "The fix" was in 4.1, see
> https://bugzilla.redhat.com/show_bug.cgi?id=1445297, or is there any other
> BZ for the fix you mentioned?

We recommend the upgrade from 3.6 should go via 4.0 but finish in latest 4.1 and there the fix exists.

Comment 8 Dan Kenigsberg 2017-06-20 12:55:09 UTC
Can rhv field engineering do anything to hasten handling of this documentation change?

Comment 16 Byron Gravenorst 2017-07-04 01:11:36 UTC
Thanks Jiri,

Does the following accurately capture the recommendation?

"Red Hat Enterprise Virtualization does not support using the 'Reinstall' button to install a different hypervisor type. For example Red Hat Enterprise Linux host to Red Hat Virtualization Host. To install a different hypervisor type, you must remove the host from the environment, install the new hypervisor,  and then add it back."

Regards

Comment 17 Jiri Belka 2017-07-04 07:10:40 UTC
(In reply to Byron Gravenorst from comment #16)
> Thanks Jiri,
> 
> Does the following accurately capture the recommendation?
> 
> "Red Hat Enterprise Virtualization does not support using the 'Reinstall'
> button to install a different hypervisor type. For example Red Hat
> Enterprise Linux host to Red Hat Virtualization Host. To install a different
> hypervisor type, you must remove the host from the environment, install the
> new hypervisor,  and then add it back."
> 
> Regards

Reads OK, thank you.

Comment 18 Byron Gravenorst 2017-07-05 04:35:05 UTC
Moving to ON_QA. See Comment 9 for details.

Comment 19 Tahlia Richardson 2017-07-10 01:02:41 UTC
Reviewed and merged.


Note You need to log in before you can comment on or make changes to this bug.